{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'WaitMaterial.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 70,filter:'single',alias:'cm',operator:'='},
                    {header: "{{ 'WaitMaterial.code'|trans }}", dataIndex: 'code', width: 120},
                    {header: "{{ 'WaitMaterial.number'|trans }}", dataIndex: 'number', width: 40,filter:'single',alias:'cm',operator:'='},
                    {header: "{{ 'WaitMaterial.stockcode'|trans }}", dataIndex: 'stockcode', width: 110},
                    {header: "{{ 'WaitMaterial.locationdestination'|trans }}", dataIndex: 'locationdestination', width: 80},
                    {header: "{{ 'WaitMaterial.starttime'|trans }}", dataIndex: 'starttime', width: 120},
                    {header: "{{ 'WaitMaterial.quantitynecessary'|trans }}", dataIndex: 'quantitynecessary', width: 70},
                    {header: "{{ 'WaitMaterial.quantityready'|trans }}", dataIndex: 'quantityready', width: 70},
                    {header: "{{ 'WaitMaterial.estimatewaitfinishtime'|trans }}", dataIndex: 'estimatewaitfinishtime', width: 120}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'WaitMaterial.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'WaitMaterial.code'|trans }}",
                        dataIndex: 'code',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.numberField({
                        title: "{{ 'WaitMaterial.number'|trans }}",
                        dataIndex: 'number',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'WaitMaterial.stockcode'|trans }}",
                        dataIndex: 'stockcode',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.dateField({
                        title : "{{ 'WaitMaterial.estimatewaitfinishtime'|trans }}",
                        dataIndex : 'fdate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'ftime',
                        width : 50,
                        maxLength: 5
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
